查询小额资产兑换历史
请求示例
get {{api_url}}/api/v3/capital/convert?timestamp={{timestamp}}&signature={{signature}}
返回示例
{
"data": [
{
"totalConvert": "0.00885018",
"totalFee": "0.000177",
"convertTime": 1665360563000,
"convertDetails": [
{
"id": "3e52a99c5c3447b2af2163cd829dca28",
"convert": "0.00885018",
"fee": "0.000177",
"amount": "0.007130464601986065",
"time": 1665360563000,
"asset": "ETHF"
}
]
},
{
"totalConvert": "0.026782",
"totalFee": "0.00053562",
"convertTime": 1663631477000,
"convertDetails": [
{
"id": "6483bfb1766d41d8a4b6b6315ded6e99",
"convert": "0.02098255",
"fee": "0.00041965",
"amount": "0.00000098",
"time": 1663631477000,
"asset": "BTC"
},
{
"id": "f9e886f28c454f5dae45eec6a11f6c6a",
"convert": "0.00084019",
"fee": "0.0000168",
"amount": "2",
"time": 1663631477000,
"asset": "JAM"
}
]
}
],
"totalRecords": 4,
"page": 1,
"totalPageNum": 1
}
HTTP请求
- GET
/api/v3/capital/convert
接口权限要求: 现货交易信息读 / SPOT_DEAL_R
权重(IP): 1
请求参数
| 参数名 | 数据类型 | 是否必须 | 说明 |
|---|---|---|---|
| startTime | long | 否 | 开始时间(Unix毫秒时间戳) |
| endTime | long | 否 | 结束时间(Unix毫秒时间戳) |
| page | int | 否 | 页数,默认 1 |
| limit | int | 否 | 返回的条数,默认 1; 最大 1000 |
| timestamp | string | 是 | 时间戳 |
| signature | string | 是 | 签名 |
返回参数
| 参数名 | 数据类型 | 说明 |
|---|---|---|
| totalConvert | string | 转换后的mx数量(扣除mx手续费) |
| totalFee | string | 本次兑换的总手续费 |
| convertTime | long | 本次兑换时间 |
| convertDetails | object | 本次转换的细节 |
| id | string | 兑换id |
| convert | string | 兑换后的mx |
| fee | string | 兑换手续费 |
| amount | string | 币种数量 |
| time | long | 兑换时间 |
| asset | string | 币种 |
| page | int | 当前页 |
| totalRecords | int | 总记录数 |
| totalPage | int | 总页数 |